Bug 216121 - Print settings should be remembered per-document
Print settings should be remembered per-document
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On: 216431
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 07:34 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 05:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-17 07:34:05 EST
Description of problem:
Printer settings are simply remembered from the last print job, regardless of
which printer it was to.  They should be remembered per-printer.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.4-5.5.3

This affects the duplexing option (for instance).
Comment 1 Tim Waugh 2006-11-20 11:45:16 EST
..or possibly they should be per-document.  Each open document ought to remember
which printer it was printed to last in this session, and with which settings.

The particular instance that caused me to file this bug was that there were two
open OpenOffice.org documents (I think one was a presentation and the other a
writer document) which were being printed 10 copies at a time, and switching
between the two mixed up the printer settings.

So that would be fixed by remembering printer settings per document in that session.
Comment 2 Caolan McNamara 2007-01-22 05:30:50 EST
the gtk-unix-print dialog just doesn't provide me with the capability to do
this, and rhbz#216431 is closed as NOTABUG file upstream, so there's nothing I
can do here unless gtk2 provides me with a way to do it...

Note You need to log in before you can comment on or make changes to this bug.